﻿@model Tuple<List<WarehouseView>, List<WarehousePortalView>>
<table class="table table-striped">
    <thead>
        <tr>
            <th><strong>@Companies.WC</strong></th>
            <th><strong>@Companies.WN</strong></th>
            <th><strong>@Companies.Selected</strong></th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>@Companies.UAW</td>
            <td>@Companies.UAW</td>
            <td><input id="WhAll" name="WhAll" type="checkbox" @(Model.Item2.Count == 0 ? "checked=\"checked\"" : "" )></td>
        </tr>
        @foreach (WarehouseView item in Model.Item1)
        {
            <tr>
                <td>@item.WhsCode</td>
                <td>@item.WhsName</td>
                <td><input id="WhCk_@item.WhsCode" name="WhCk_@item.WhsCode" type="checkbox" @(Model.Item2.Where(c => c.WhsCode == item.WhsCode).FirstOrDefault() != null ? "checked=\"checked\"" : "" ) ></td>
            </tr>
        }
    </tbody>
</table>
